Subject: Re: bug#61394: 30.0.50; [PATCH] Image-dired thumb name based on content

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Jul 2023 09:55:13 +0300

> From: Manuel Giraud <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Thu, 27 Jul 2023 23:30:29 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> [...]
> 
> > Thanks, installed.  But now 1 set in image-dired-util-tests fails; it
> > sounds like the method of producing per-directory thumbnails has
> > changed, and now produces a SHA-1 hash?  Can you please look into
> > fixing that test?
> 
> Ok, I think this patch should do.

Thanks, the tests now pass, but I wonder about this part:

>      (should (equal (cdr (file-name-split
> -                         (image-dired-thumb-name "/tmp/foo.jpg")))
> -                   '("tmp" ".image-dired" "foo.jpg.thumb.jpg")))
> +                         (image-dired-thumb-name abs-path)))
> +                   (list "tmp" ".image-dired" hash-name)))

Does this mean that thumbnail naming under 'per-directory' has
changed, and it now uses the SHA-1 hash of the base-name?  IOW, does
this mean your changes for bug#61394 included incompatible changes in
behavior?